package com.cheng.blzb.utils

import android.content.Context
import com.cheng.blzb.common.Constants
import com.example.base.browser.BrowserActivity

object UrlHelper {

    fun startUserAgreement(context: Context, title: String? = null) {
        BrowserActivity.start(context, title ?: "用户协议", Constants.userAgreement)
    }

    fun startPrivacyPolicy(context: Context) {
        BrowserActivity.start(context, "隐私政策", Constants.privacyPolicy)
    }

    fun startRenewAgreement(context: Context) {
        BrowserActivity.start(context, "自动续费服务规则", Constants.renewAgreement)
    }

    fun startPermissionList(context: Context) {
        BrowserActivity.start(context, "权限说明", Constants.permissionList)
    }

    fun startShareList(context: Context) {
        BrowserActivity.start(context, "第三方共享清单", Constants.shareList)
    }

    fun startSDKList(context: Context) {
        BrowserActivity.start(context, "第三方SDK目录", Constants.sdkList)
    }
}